Azure IoT Edge runtime 1.1 support in tools

Microsoft

Hi IoT Edge developers,

 

As IoT Edge runtime version 1.1.0 was declared as first long term servicing (LTS) release,  we are happy to announce our respective IoT Edge developer tools now support the runtime version 1.1 to help develop, simulate, debug and test.

 

Following tools now support IoT Edge runtime version 1.1.0:

 

 

For Visual Studio Code and Visual Studio, we have added menu for the user to select the default IoT Edge Runtime version (1.0 or 1.1) in deployment manifest template. The selection will also invoke the corresponding runtime version in simulator.

The default runtime version for all the tools are 1.1.0.

 

[Visual Studio Code]

In command palette (F1 key), we have added the following command for user to select the default IoT Edge runtime version. The changes are reflected in image URL for system modules described in deployment.template.json in your solution.

 

konichi3_0-1628110965061.png

 

 

konichi3_1-1628110965064.png

 

 

 

[Visual Studio]

Similar to Visual Studio Code, we have added the option in menu to select the default IoT Edge runtime version. First, select the Azure IoT Edge project and right click.

In the menu, you should see the newly added option ‘Set IoT Edge Runtime version…’. When you click, dialog will pop up to select the version.

 

After choosing the version, you will need to re-generate the deployment manifest by following the step below.

konichi3_2-1628110965070.png

 

 

To view the deployment manifest template in config file, make sure to click ‘Show All Files’ button in Solution Explorer.

We are actively working on supporting Edge runtime version 1.2 and stay tuned for upcoming news.

Regards,
Azure IoT team

1 Reply
We are happy to announce that 1.2 support is included in respective extensions (make sure to install the latest extension).

Runtime images are default to 1.2 now and it gives option for developers to choose 1.0, 1.1 or 1.2 now.
www.000webhost.com